%define git 20170615

Summary:	A utility for patching ELF binaries
Name:		patchelf
Version:	0.10
Release:	0.%{git}.2
License:	GPLv3+
Group:		Development/Tools
Url:		http://nixos.org/patchelf.html
#Source0:	http://releases.nixos.org/patchelf/patchelf-%{version}//%{name}-%{version}.tar.bz2
Source0:	%{name}-%{version}-%{git}.tar.bz2
# Use hack for OpenSSL compat libraries until https://github.com/NixOS/patchelf/issues/44 is fixed
Patch0:		patchelf-0.10-20170615-openssl-hack.patch
BuildRequires:	acl-devel
BuildRequires:	attr-devel

%description
PatchELF is a simple utility for modifying an existing ELF executable
or library. It can change the dynamic loader ("ELF interpreter")
of an executable and change the RPATH of an executable or library.

%files
%doc README COPYING
%{_bindir}/patchelf
%{_mandir}/man1/patchelf.1*

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}-%{version}-%{git}
%patch0 -p1

# package ships elf.h - delete to use glibc-headers one
rm src/elf.h

%build
autoreconf -fi
%configure2_5x
%make

%install
%makeinstall_std

# the docs get put in a funny place, so delete and include in the
# standard way in the docs section below
rm -rf %{buildroot}%{_datadir}/doc/%{name}

%check
make check

%changelog

* Thu Nov 09 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 0.10-0.20170615.2
- (a2f5339) Use pre-increment to be more clear


